package com.sooka.system.gas.zenner_gas_purchase_infor.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 真兰收费系统-预付费购气信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiZennerGasPurchaseInfor extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** GUID */
    @Excel(name = "GUID" )
    private String GUID;

    /** 用户GUID */
    @Excel(name = "用户GUID" )
    private String VC_SG_USERGUID;

    /** 上次结余 */
    @Excel(name = "上次结余" )
    private String N_SG_BEFOREAMOUNT;

    /** 应收金额 */
    @Excel(name = "应收金额" )
    private String N_SG_SHOULDAMOUNT;

    /** 实收金额 */
    @Excel(name = "实收金额" )
    private String N_SG_FACTAMOUNT;

    /** 本次结余 */
    @Excel(name = "本次结余" )
    private String N_SG_LASTAMOUNT;

    /** 发票号码 */
    @Excel(name = "发票号码" )
    private String VC_SG_IVNO;

    /** 收款人 */
    @Excel(name = "收款人" )
    private String VC_SG_OPCODE;

    /** 收款日期 */
    @Excel(name = "收款日期" )
    private String D_SG_SALEDATE;

    /** 缴费类型:售|退气 */
    @Excel(name = "缴费类型:售|退气" )
    private String VC_SG_SALEORBACK;

    public String getGuid()
    {
        return GUID;
    }

    public String getVcsguserguid()
    {
        return VC_SG_USERGUID;
    }

    public String getNsgbeforeamount()
    {
        if (N_SG_BEFOREAMOUNT == null){
            return null;
        }else {
            return N_SG_BEFOREAMOUNT.startsWith(".")?(0+N_SG_BEFOREAMOUNT):N_SG_BEFOREAMOUNT;
        }
    }

    public String getNsgshouldamount()
    {
        if (N_SG_SHOULDAMOUNT == null){
            return null;
        }else {
            return N_SG_SHOULDAMOUNT.startsWith(".")?(0+N_SG_SHOULDAMOUNT):N_SG_SHOULDAMOUNT;
        }
    }

    public String getNsgfactamount()
    {
        if (N_SG_FACTAMOUNT == null){
            return null;
        }else {
            return N_SG_FACTAMOUNT.startsWith(".")?(0+N_SG_FACTAMOUNT):N_SG_FACTAMOUNT;
        }
    }

    public String getNsglastamount()
    {
        if (N_SG_LASTAMOUNT == null){
            return null;
        }else {
            return N_SG_LASTAMOUNT.startsWith(".")?(0+N_SG_LASTAMOUNT):N_SG_LASTAMOUNT;
        }
    }

    public String getVcsgivno()
    {
        return VC_SG_IVNO;
    }

    public String getVcsgopcode()
    {
        return VC_SG_OPCODE;
    }

    public String getDsgsaledate()
    {
        if(D_SG_SALEDATE == null){
            return null;
        }else {
            return D_SG_SALEDATE.replace(".000", "");
        }
    }

    public String getVcsgsaleorback()
    {
        return VC_SG_SALEORBACK;
    }
}
